.card {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-minor);
  align-items: flex-start;
  align-self: stretch;
  justify-content: space-around;
  border-radius: var(--card-corner-radius);
  border: 0.19rem solid var(--Hint-Foreground);
  overflow: hidden;
}

.card-content {
  gap: var(--spacing-minor);
  display: flex;
  flex-direction: column;
  padding: var(--card-text-padding-vertical) var(--card-text-padding-horizontal)
    0 var(--card-text-padding-horizontal);
  width: 100%;
}

.highlighted {
  border: 3px solid var(--Main-Foreground-Link, rgba(163, 0, 10, 0.8));
}

.title-container {
  display: flex;
  align-items: flex-start;
  gap: 0.625rem;
  align-self: stretch;
}

.title {
  color: var(--Main-Foreground);
  font-size: 1.5rem;
  font-weight: 700;
}

lib-action-button-bar {
  align-self: stretch;
  flex-wrap: wrap;
  --actions-button-bar-justify-content: space-between;
}

.position-number-container {
  display: flex;
  align-self: stretch;
  align-items: center;
  justify-content: space-between;
  background: var(--Hint-Foreground);
  padding: var(--spacing-small) var(--card-text-padding-horizontal)
    var(--card-text-padding-vertical) var(--card-text-padding-horizontal);
  transform: translateY(
    calc(
      (var(--card-text-padding-vertical) - var(--spacing-small)) / 2 + 0.1rem
    )
  );
  box-sizing: border-box;
}

.position-label {
  flex: 1 0 0;
  color: var(--Main-Foreground);
  font-size: 0.9375rem;
  font-weight: 400;
}

.position-number {
  color: var(--Main-Foreground);
  font-size: 0.9375rem;
  font-weight: 700;
}

.distance-container {
  gap: var(--spacing-small);
  display: flex;
  flex-direction: row;
}

.position-container {
  margin-left: auto;
  gap: 0.625rem;
  display: flex;
}

.distance {
  color: var(--Main-Foreground);
  font-size: 0.9375rem;
}

lib-general-icon {
  --icon-font-variation-settings: 'FILL' 0, 'wght' 700, 'GRAD' 0, 'opsz' 20;
}
